﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using Utility;
using System.Threading;
using System.Text.RegularExpressions;

namespace WindowsFormsApplication1
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            if (string.IsNullOrEmpty(this.textBox1.Text))
            {
                MessageBox.Show("请输入要截图的网址！");
                return;
            }
            Regex r = new Regex(@"http://([\w-]+\.)+[\w-]+(/[\w- ./?%&=]*)?");
            if (r.IsMatch(this.textBox1.Text))
            {
                if (string.IsNullOrEmpty(this.textBox2.Text))
                {
                    MessageBox.Show("请选择要保存的目录！");
                    return;
                }
                if (string.IsNullOrEmpty(this.textBox3.Text))
                {
                    MessageBox.Show("请输入要保存的文件名！");
                    return;
                }
                try
                {
                    GetWebImage gwi = new GetWebImage(this.textBox1.Text, Screen.PrimaryScreen.Bounds.Width, Screen.PrimaryScreen.Bounds.Height, 320, 240);
                    Bitmap bi = gwi.GetBitmap();
                    bi.Save(this.textBox2.Text.Trim() + "\\" + this.textBox3.Text.Trim());
                    System.Diagnostics.Process.Start(this.textBox2.Text.Trim()+"\\"+this.textBox3.Text.Trim());
                }
                catch (Exception ex)
                {

                    MessageBox.Show(ex.Message);
                }
            }
            else
            {
                MessageBox.Show("请输入正确的网址！");
                return;
            }
        }

        private void button2_Click(object sender, EventArgs e)
        {
            folderBrowserDialog1.ShowDialog(this);
            this.textBox2.Text = folderBrowserDialog1.SelectedPath;
        }
    }
}
